Debian-Sicherheitsankündigung

DSA-1594-1 imlib2 -- Pufferüberläufe

Datum des Berichts:
11. Jun 2008
Betroffene Pakete:
imlib2
Verwundbar:
Ja
Sicherheitsdatenbanken-Referenzen:
In Mitres CVE-Verzeichnis: CVE-2008-2426.
Weitere Informationen:

Stefan Cornelius entdeckte zwei Pufferüberläufe in den PNM- und XPM-Bildladeroutinen von Imlib, einer mächtigen Bildlade- und -darstellungsbibliothek. Diese können zur Ausführung beliebigen Codes führen.

Für die Stable-Distribution (Etch) wurde dieses Problem in Version 1.3.0.0debian1-4+etch1 behoben.

Für die Unstable-Distribution (Sid) wurde dieses Problem in Version 1.4.0-1.1 behoben.

Wir empfehlen Ihnen, Ihr imlib2-Paket zu aktualisieren.

Behoben in:

Debian GNU/Linux 4.0 (etch)

Quellcode:
http://security.debian.org/pool/updates/main/i/imlib2/imlib2_1.3.0.0debian1.orig.tar.gz
http://security.debian.org/pool/updates/main/i/imlib2/imlib2_1.3.0.0debian1-4+etch1.diff.gz
http://security.debian.org/pool/updates/main/i/imlib2/imlib2_1.3.0.0debian1-4+etch1.dsc
Alpha:
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2_1.3.0.0debian1-4+etch1_alpha.deb
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2-dev_1.3.0.0debian1-4+etch1_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2_1.3.0.0debian1-4+etch1_amd64.deb
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2-dev_1.3.0.0debian1-4+etch1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2_1.3.0.0debian1-4+etch1_arm.deb
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2-dev_1.3.0.0debian1-4+etch1_arm.deb
HP Precision:
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2_1.3.0.0debian1-4+etch1_hppa.deb
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2-dev_1.3.0.0debian1-4+etch1_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2-dev_1.3.0.0debian1-4+etch1_i386.deb
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2_1.3.0.0debian1-4+etch1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2-dev_1.3.0.0debian1-4+etch1_ia64.deb
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2_1.3.0.0debian1-4+etch1_ia64.deb
Big-endian MIPS:
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2_1.3.0.0debian1-4+etch1_mips.deb
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2-dev_1.3.0.0debian1-4+etch1_mips.deb
Little-endian MIPS:
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2_1.3.0.0debian1-4+etch1_mipsel.deb
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2-dev_1.3.0.0debian1-4+etch1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2-dev_1.3.0.0debian1-4+etch1_powerpc.deb
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2_1.3.0.0debian1-4+etch1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2_1.3.0.0debian1-4+etch1_s390.deb
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2-dev_1.3.0.0debian1-4+etch1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2-dev_1.3.0.0debian1-4+etch1_sparc.deb
http://security.debian.org/pool/updates/main/i/imlib2/libimlib2_1.3.0.0debian1-4+etch1_sparc.deb

MD5-Prüfsummen der aufgeführten Dateien stehen in der ursprünglichen Sicherheitsankündigung zur Verfügung.